package kw4h;

import java.util.Enumeration;
import java.util.Hashtable;
import java.util.Vector;

import org.apache.log4j.Logger;

public class ConvexSets
{
	private static ConvexSets instance = null;
	private Hashtable convexSets = new Hashtable();
	private Logger logger = Logger.getLogger(this.getClass());
	
	public ConvexSets()
	{
		logger.info("Creating instance");
		ConvHull hullCalc = new ConvHull();
		Enumeration num = Universe.getUniverse().getRegions().elements();
		while (num.hasMoreElements())
		{
			Region r = (Region) num.nextElement();
			Vector rResult = hullCalc.calculate(r);
			
			this.convexSets.put(r, rResult.clone());
		}
	}
	
	/**
	 * 
	 * @return
	 */
	public static ConvexSets getInstance()
	{
		if (instance == null)
		{
			instance = new ConvexSets();
		}
		
		return instance;
	}
	
	public void setConvexes(Hashtable convSets)
	{
		this.convexSets = convSets;
	}
	
	public Hashtable getConvexes()
	{
		return this.convexSets;
	}
	
	public Vector getConvexByRegion(Region r)
	{
		return (Vector) this.convexSets.get(r);
	}
}
