package kw4h;

import org.apache.log4j.Logger;

public class MapSettings
{
	private static MapSettings instance = null;
	
	// certain vars
	public final double SYSRANGE = 200;
	public final double REGIONRANGE = 450;
	
	// heightcale
	public double heightScale = 1;
	public boolean drawFlat = false;
	
	// mode vars
	public boolean tactical = false;
	public boolean drawSystemNames = false;
	public boolean drawOutlines = false;
	public boolean showSecStat = false;
	public boolean drawGrid = false;
	
	// draw offsets
	public double offsetX, offsetZ;
	
	// mouse vars
	public int mStartX, mStartY;
	public int mMoveX, mMoveY, mMoveZ;
	public int btnsPressed = 0;
	
	// view vars
	public double viewX, viewY, viewZ;
	
	// are we in EVE-TV Mode?
	private boolean isEveTV = false;
	
	// fullscreen
	private boolean fullscreen = false;
	
	private Logger logger = Logger.getLogger(this.getClass());
	
	/**
	 * 
	 * @return
	 */
	public static MapSettings getMapSettings()
	{
		if (instance == null)
		{
			instance = new MapSettings();
		}
		
		return instance;
	}
	
	public MapSettings()
	{
		logger.info("Creating MapSettings instance");
	}
	
	public void toggleFlat()
	{
		if (this.tactical == false)
		{
			this.drawFlat = !this.drawFlat;
		}
		
	}
	
	public void toggleGrid()
	{
		this.drawGrid = !this.drawGrid;
	}
	
	public void toggleOutline()
	{
		this.drawOutlines = !this.drawOutlines;
	}
	
	public void toggleSystem()
	{
		this.drawSystemNames = !this.drawSystemNames;
	}
	
	public void toggleTactical()
	{		
		this.tactical = !this.tactical;
		
		// set flat map
		this.drawFlat = true;
	}
	
	public void zoomOut()
	{
		this.mMoveY -= 15;
	}
	
	public void zoomIn()
	{
		this.mMoveY += 15;
	}
	
	public void toggleSecStat()
	{
		this.showSecStat = !this.showSecStat;
	}
	
	public boolean isEveTV()
	{
		return this.isEveTV;
	}
	
	public boolean getIsFullscreen()
	{
		return this.fullscreen;
	}
	
	public void setIsFullscreen(boolean fullscreen)
	{
		this.fullscreen = fullscreen;
	}
}
