package kw4h;

import java.nio.DoubleBuffer;
import java.nio.FloatBuffer;

import com.sun.opengl.util.BufferUtil;

/**
 * 
 * @author Kw4h
 *
 */
public class SolarSystem 
{
	public int id, constellationID, regionID;
	public double security;
	public String name;
	public double color[];
	public double position[];
	
	/**
	 * 
	 * @param id
	 * @param x
	 * @param y
	 * @param z
	 * @param constID
	 * @param regionID
	 * @param name
	 * @param security
	 */
	public SolarSystem(int id, double x, double y, double z, int constID, int regionID, String name, double security)
	{
		this.id = id;
		
		this.position = new double[3];
		this.position[0] = x;
		this.position[1] = y;
		this.position[2] = z;
		
		this.constellationID = constID;
		this.regionID = regionID;
		this.name = name;
		this.security = security;
		
		// set the color
		float r, g, b;
		
		// very low sec
		if (this.security <= 0.2)
		{
			r = 0.7f;
			g = 0.0f;
			b = 0.0f;
		}
		// low sec
		else if (this.security <= 0.4)
		{
			r = 0.7f;
			g = 0.4f;
			b = 0.0f;
		}
		// med sec
		else if (this.security <= 0.6)
		{
			r = 1.0f;
			g = 0.6f;
			b = 0.0f;
		}
		// med sec
		else if (this.security <= 0.8)
		{
			r = 0.9f;
			g = 0.9f;
			b = 0.0f;
		}
		// high sec
		else
		{
			r = 0.6f;
			g = 1.0f;
			b = 0.0f;
		}
		
		this.color = new double[3];
		this.color[0] = r;
		this.color[1] = g;
		this.color[2] = b;
	}
}
